import { VisualLanguage, visualLanguageClassNames } from '../constants';
export interface UseVisualLanguageArgs {
    flag?: string;
    force?: boolean;
    visualLanguage?: VisualLanguage;
}
declare function useVisualLanguage({ visualLanguage: desiredVisualLanguage, flag: flagName, force: forceVisualLanguage, }?: UseVisualLanguageArgs): {
    enabled: boolean;
    className: typeof visualLanguageClassNames[keyof typeof visualLanguageClassNames];
};
export { useVisualLanguage };
