# `@highlight-ui/visual-language-tools`

Welcome to Highlight UI's visual-language-tools library. This library provides a
series of components and hooks to allow teams the flexibility to switch between
desired visual languages at various stages throughout their application.

> Please note that these utilities are only designed to be used inside of the
> web monorepo.

## Installation

```
pnpm add @highlight-ui/visual-language-tools
```

## Utilities

- [`<VisualLanguageSwitch />`](./src/VisualLanguageSwitch/README.md)
- [`useVisualLanguage`](./src/useVisualLanguage/README.md)
